StealthBot.net: Beta Build 491 - StealthBot.net

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Beta Build 491

#1 User is online   Pyro Icon

  • Militant Asshole
  • Icon
  • Group: Administrators
  • Posts: 630
  • Joined: July-31 09

Posted December 09, 2017 - 07:03 AM

Hey everyone, a new beta build has been released tonight. Lots of fixes, improvements, and some new features.

You can get it on our GitHub here: https://github.com/s...tag/v2.7-dev491
Pyro
StealthBot Developer
Chieftain of Clan BoT
Host of pyro.no-ip.biz

#2 User is offline   just1s Icon

  • Newbie
  • Pip
  • Group: Members
  • Posts: 4
  • Joined: July-12 11

Posted December 09, 2017 - 07:19 PM

I have been using SB v2.7 build 489 for the past year now.

I just tried using the new beta build 491 and I received the following error:

Quote

[02:17:42 PM] Scripting runtime error '13' on "afk_Event_WhisperFromUser" call in file "afk.plug"
[02:17:42 PM] Type mismatch.
[02:17:42 PM] Scripting runtime error '13' on "crs_Event_WhisperFromUser" call in file "crsClanRankScript.plug"
[02:17:42 PM] Type mismatch.
[02:17:57 PM] Loaded Plugins (10): afk, (afs), arc, beep, comments, crs, st, ss, ulm, ws
[02:17:57 PM] Scripting runtime error '13' on "afk_Event_PressedEnter" call in file "afk.plug"
[02:17:57 PM] Type mismatch.
[02:17:57 PM] Scripting runtime error '13' on "crs_Event_PressedEnter" call in file "crsClanRankScript.plug"
[02:17:57 PM] Type mismatch.
[02:17:57 PM] Scripting runtime error '13' on "st_Event_PressedEnter" call in file "SnapNmanlove69sTrivia.plug"
[02:17:57 PM] Type mismatch.
[02:17:57 PM] Scripting runtime error '13' on "ws_Event_PressedEnter" call in file "wsWarnScript.plug"
[02:17:57 PM] Type mismatch.
[02:17:57 PM] That is not a valid command. Type /help or /? for more info.


Does this mean that none of my plugins are working?? I guess I'll just stay with build 489 for now as it works fine for me, thanks

#3 User is online   Pyro Icon

  • Militant Asshole
  • Icon
  • Group: Administrators
  • Posts: 630
  • Joined: July-31 09

Posted December 10, 2017 - 10:49 AM

Hmm yes it appears to have broken the plugin system. All of the plugin functionality has been moved to scripts for quite some time now. If you still rely on plugins it would be best not to update until the next release. If you want, many of the old plugins have been converted to the new script format, you could find them in the Scripting forum.

For anyone who doesn't rely on the plugin system, you can fix these errors by disabling it in the scripting menu. The scripting system (without the Plugin System script) still works fine.
Pyro
StealthBot Developer
Chieftain of Clan BoT
Host of pyro.no-ip.biz

#4 User is offline   just1s Icon

  • Newbie
  • Pip
  • Group: Members
  • Posts: 4
  • Joined: July-12 11

Posted December 18, 2017 - 02:54 PM

I have a different question:
I have been using Stealthbot for years and years, but lately (like the past few months) I keep having problems sending messages. It started earlier this year, where I couldn't whisper (actually nobody could whisper, not just my bot but my real accounts too). So the whisper problem is something people have complained about on the Blizzard forums, and its obviously a common issue. Now, recently (about a month or two ago) whispering started working again, I'm not sure if blizzard fixed it or not, but I still have some issues. My bot keeps losing the ability to chat, like it will work one minute but not the next, so I have to shut it off and reload it to get it working again.

Is this something I am doing wrong, or something that can be fixed, or something blizzard has done to bnet??
I'm still using v2.7 Build 489

Thanks

This post has been edited by just1s: December 18, 2017 - 02:56 PM


#5 User is offline   Venue Icon

  • Newbie
  • Pip
  • Group: Members
  • Posts: 1
  • Joined: February-28 18

Posted February 28, 2018 - 08:30 AM

Hey there!

I am trying to run the BCP script using build 491 and it is not working. It works fine on my 489 build.
I have tested it multiple times/upgraded/downgraded. Using the exact same scripts files and all. I am all out of ideas.
Any chance you could tell me what else i might try? Id like to upgrade to 491 for the cool QOL upgrades but can't seem to get the script to work :/

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users